<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>celMessageChannel Class Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">celMessageChannel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="celMessageChannel" --><!-- doxytag: inherits="scfImplementation1&lt; celMessageChannel, iMessageChannel &gt;" -->
<p>Helper class for a message channel.  
 <a href="classcelMessageChannel.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="stdmsgchannel_8h_source.html">celtool/stdmsgchannel.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for celMessageChannel:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classcelMessageChannel.png" usemap="#celMessageChannel_map" alt=""/>
  <map id="celMessageChannel_map" name="celMessageChannel_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation1.html" alt="scfImplementation1&lt; celMessageChannel, iMessageChannel &gt;" shape="rect" coords="377,112,744,136"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementation.html" alt="scfImplementation&lt; Class &gt;" shape="rect" coords="377,56,744,80"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,367,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classscfImplementationHelper.html" alt="scfImplementationHelper" shape="rect" coords="377,0,744,24"/>
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classCS_1_1Memory_1_1CustomAllocated.html" alt="CS::Memory::CustomAllocated" shape="rect" coords="754,0,1121,24"/>
</map>
 </div></div>

<p><a href="classcelMessageChannel-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt; <a class="el" href="structiMessageDispatcher.html">iMessageDispatcher</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcelMessageChannel.html#ab7c8c7c603747544127f393e98f2a2c9">CreateMessageDispatcher</a> (<a class="el" href="structiMessageSender.html">iMessageSender</a> *sender, const char *msg_id, <a class="el" href="structiMessageReceiverFilter.html">iMessageReceiverFilter</a> *receiver_filter=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a message dispatcher that supports a receiver filter.  <a href="#ab7c8c7c603747544127f393e98f2a2c9"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Helper class for a message channel. </p>

<p>Definition at line <a class="el" href="stdmsgchannel_8h_source.html#l00121">121</a> of file <a class="el" href="stdmsgchannel_8h_source.html">stdmsgchannel.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab7c8c7c603747544127f393e98f2a2c9"></a><!-- doxytag: member="celMessageChannel::CreateMessageDispatcher" ref="ab7c8c7c603747544127f393e98f2a2c9" args="(iMessageSender *sender, const char *msg_id, iMessageReceiverFilter *receiver_filter=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRef.html">csRef</a>&lt;<a class="el" href="structiMessageDispatcher.html">iMessageDispatcher</a>&gt; <a class="el" href="classcelMessageChannel.html#ab7c8c7c603747544127f393e98f2a2c9">celMessageChannel::CreateMessageDispatcher</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiMessageSender.html">iMessageSender</a> *&#160;</td>
          <td class="paramname"><em>sender</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiMessageReceiverFilter.html">iMessageReceiverFilter</a> *&#160;</td>
          <td class="paramname"><em>receiver_filter</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a message dispatcher that supports a receiver filter. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>celtool/<a class="el" href="stdmsgchannel_8h_source.html">stdmsgchannel.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
